import request from '@/utils/request'

// 查询委外工作列表
export function listOutsourceWork(query) {
  return request({
    url: '/oa/outsourceWork/list',
    method: 'get',
    params: query
  })
}

// 查询委外工作详细
export function getOutsourceWork(workId) {
  return request({
    url: '/oa/outsourceWork/' + workId,
    method: 'get'
  })
}

// 新增委外工作
export function addOutsourceWork(data) {
  return request({
    url: '/oa/outsourceWork',
    method: 'post',
    data: data
  })
}

// 修改委外工作
export function updateOutsourceWork(data) {
  return request({
    url: '/oa/outsourceWork',
    method: 'put',
    data: data
  })
}

// 删除委外工作
export function delOutsourceWork(workId) {
  return request({
    url: '/oa/outsourceWork/' + workId,
    method: 'delete'
  })
}
